I have OSX Panther on an older MacBook & would like to run an updated flash player. What operating system should I be using for this computer?

Back To Product

Follow this Question

1 Answer from the Community

  • Hello, I would just like to clarify, Mac OS X Panther v10.3 can not run on a Macbook as Panther is written for the PPC architecture and Macbooks have Intel Processors/Chipsets. However, you may either have an iBook G3/G4, Powerbook G4, or are running Mac OS X Tiger v10.4 (on your Macbook), you can check this by selecting  then About This Mac. In response to what operating system you should be using I have listed them below in order of machine.

    Macbook: Mac OS X Leopard v10.5
    Powerbook G4: Mac OS X Tiger v10.4
    iBook G4: Mac OS X Tiger v10.4
    iBook G3: Mac OS X Panther v10.3

    Regards,
    qurit96

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions